Intelligence
Read a workspace-agent conversation
Requires the workspace-agent deployment, rollout and feature flag plus a current Tali/Aida access permission. Conversation resources require an active human participant in the same tenant; inaccessible resources are concealed. Includes active participants, active/latest run and up to sixteen open interrupts for the current participant. Returns ETag for conditional updates.
GET
/
admin
/
workspace-agent
/
conversations
/
{conversation}
Read a workspace-agent conversation
curl --request GET \
--url https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"title": "<string>",
"scope": "<string>",
"status": "<string>",
"revision": 123,
"last_message_sequence": 123,
"last_run_sequence": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"principal_type": "<string>",
"role": "<string>",
"status": "<string>",
"user_id": 123,
"agent_id": "<string>",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"active_run": {
"id": "<string>",
"conversation_id": "<string>",
"audience_id": "<string>",
"audience_revision": 123,
"sequence": 123,
"next_event_sequence": 123,
"input_message_id": "<string>",
"ingress_receipt_id": "<string>",
"initiating_channel_binding_id": "<string>",
"initiating_channel_binding_generation": 123,
"agent_id": "<string>",
"agent_release_id": "<string>",
"root_run_id": "<string>",
"parent_run_id": "<string>",
"status": "<string>",
"dispatch_state": "<string>",
"workflow_id": "<string>",
"provider": "<string>",
"model": "<string>",
"terminal_outcome": "<string>",
"workflow_version": "<string>",
"workflow_build_id": "<string>",
"execution_policy_sha256": "<string>",
"provider_response_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"grounding": {},
"safety": {},
"usage": {
"latency_ms": 123,
"input_tokens": 123,
"cached_input_tokens": 123,
"output_tokens": 123,
"search_calls": 123,
"estimated_cost_micros": 123,
"reserved_cost_micros": 123,
"accounted_cost_micros": 123,
"provider_attempts": 123,
"unknown_usage_attempts": 123,
"fallback_count": 123,
"model_breakdown": {}
}
},
"latest_run": {
"id": "<string>",
"conversation_id": "<string>",
"audience_id": "<string>",
"audience_revision": 123,
"sequence": 123,
"next_event_sequence": 123,
"input_message_id": "<string>",
"ingress_receipt_id": "<string>",
"initiating_channel_binding_id": "<string>",
"initiating_channel_binding_generation": 123,
"agent_id": "<string>",
"agent_release_id": "<string>",
"root_run_id": "<string>",
"parent_run_id": "<string>",
"status": "<string>",
"dispatch_state": "<string>",
"workflow_id": "<string>",
"provider": "<string>",
"model": "<string>",
"terminal_outcome": "<string>",
"workflow_version": "<string>",
"workflow_build_id": "<string>",
"execution_policy_sha256": "<string>",
"provider_response_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"grounding": {},
"safety": {},
"usage": {
"latency_ms": 123,
"input_tokens": 123,
"cached_input_tokens": 123,
"output_tokens": 123,
"search_calls": 123,
"estimated_cost_micros": 123,
"reserved_cost_micros": 123,
"accounted_cost_micros": 123,
"provider_attempts": 123,
"unknown_usage_attempts": 123,
"fallback_count": 123,
"model_breakdown": {}
}
},
"open_interrupts": [
{
"id": "<string>",
"conversation_id": "<string>",
"run_id": "<string>",
"audience_id": "<string>",
"audience_revision": 123,
"requesting_event_id": "<string>",
"kind": "<string>",
"status": "<string>",
"version": 123,
"intended_participant_id": "<string>",
"audience": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"expired_at": "2023-11-07T05:31:56Z",
"resolution_event_id": "<string>",
"request": {},
"response_schema": {},
"resolution": {}
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}⌘I
Read a workspace-agent conversation
curl --request GET \
--url https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/workspace-agent/conversations/{conversation}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"title": "<string>",
"scope": "<string>",
"status": "<string>",
"revision": 123,
"last_message_sequence": 123,
"last_run_sequence": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"participants": [
{
"id": "<string>",
"principal_type": "<string>",
"role": "<string>",
"status": "<string>",
"user_id": 123,
"agent_id": "<string>",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"active_run": {
"id": "<string>",
"conversation_id": "<string>",
"audience_id": "<string>",
"audience_revision": 123,
"sequence": 123,
"next_event_sequence": 123,
"input_message_id": "<string>",
"ingress_receipt_id": "<string>",
"initiating_channel_binding_id": "<string>",
"initiating_channel_binding_generation": 123,
"agent_id": "<string>",
"agent_release_id": "<string>",
"root_run_id": "<string>",
"parent_run_id": "<string>",
"status": "<string>",
"dispatch_state": "<string>",
"workflow_id": "<string>",
"provider": "<string>",
"model": "<string>",
"terminal_outcome": "<string>",
"workflow_version": "<string>",
"workflow_build_id": "<string>",
"execution_policy_sha256": "<string>",
"provider_response_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"grounding": {},
"safety": {},
"usage": {
"latency_ms": 123,
"input_tokens": 123,
"cached_input_tokens": 123,
"output_tokens": 123,
"search_calls": 123,
"estimated_cost_micros": 123,
"reserved_cost_micros": 123,
"accounted_cost_micros": 123,
"provider_attempts": 123,
"unknown_usage_attempts": 123,
"fallback_count": 123,
"model_breakdown": {}
}
},
"latest_run": {
"id": "<string>",
"conversation_id": "<string>",
"audience_id": "<string>",
"audience_revision": 123,
"sequence": 123,
"next_event_sequence": 123,
"input_message_id": "<string>",
"ingress_receipt_id": "<string>",
"initiating_channel_binding_id": "<string>",
"initiating_channel_binding_generation": 123,
"agent_id": "<string>",
"agent_release_id": "<string>",
"root_run_id": "<string>",
"parent_run_id": "<string>",
"status": "<string>",
"dispatch_state": "<string>",
"workflow_id": "<string>",
"provider": "<string>",
"model": "<string>",
"terminal_outcome": "<string>",
"workflow_version": "<string>",
"workflow_build_id": "<string>",
"execution_policy_sha256": "<string>",
"provider_response_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"grounding": {},
"safety": {},
"usage": {
"latency_ms": 123,
"input_tokens": 123,
"cached_input_tokens": 123,
"output_tokens": 123,
"search_calls": 123,
"estimated_cost_micros": 123,
"reserved_cost_micros": 123,
"accounted_cost_micros": 123,
"provider_attempts": 123,
"unknown_usage_attempts": 123,
"fallback_count": 123,
"model_breakdown": {}
}
},
"open_interrupts": [
{
"id": "<string>",
"conversation_id": "<string>",
"run_id": "<string>",
"audience_id": "<string>",
"audience_revision": 123,
"requesting_event_id": "<string>",
"kind": "<string>",
"status": "<string>",
"version": 123,
"intended_participant_id": "<string>",
"audience": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"expired_at": "2023-11-07T05:31:56Z",
"resolution_event_id": "<string>",
"request": {},
"response_schema": {},
"resolution": {}
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}